LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 03-23-2005, 01:03 PM   #1
Hollowpoint
LQ Newbie
 
Registered: Mar 2005
Posts: 8

Rep: Reputation: 0
Mandrake 10 and Development tools


Ok I installed Mandrake 10 using the official download version. I want to install a program but it says I need a c++ compiler along with some g++ and a few other things. I did some research over the last three days and assumed I need the development tools installed fo be able to install a mplayer plug in. My question is where can I get all the development tools because ramdrake asks for a 4th cd but I only have 3. Any help would be appreciated. Thanks
 
Old 03-23-2005, 01:15 PM   #2
Padma
Member
 
Registered: Aug 2003
Location: Omaha, NE, USA
Distribution: PCLinuxOS 2007
Posts: 808

Rep: Reputation: 30
You need the "-devel" packages. They *should* be on the first 3 CDs. (The 4th CD is optional/extra stuff - not needed.) If rpmdrake can't find them on your CDs, then visit the Easy URPMI website (link in my sig) to set up your online repositories. Make sure you select "main", "update", "contrib", and "plf" sources, at a minimum. Then you will have access to all non-proprietary software available on the 6-CD Powerpack set. And I *KNOW* the -devel packages are there....
 
Old 03-23-2005, 01:26 PM   #3
Hollowpoint
LQ Newbie
 
Registered: Mar 2005
Posts: 8

Original Poster
Rep: Reputation: 0
When I posted the stuff in a terminal it said database was locked. Is this a problem? If so how do I unlock it?
 
Old 03-23-2005, 01:49 PM   #4
Padma
Member
 
Registered: Aug 2003
Location: Omaha, NE, USA
Distribution: PCLinuxOS 2007
Posts: 808

Rep: Reputation: 30
See this thread.

The rpm database is locked when you are running urpmi commands, like installing updating. If an error occurs, it can leave the database locked. The thread above explains how to unlock it, so you can continue.
 
Old 03-23-2005, 01:51 PM   #5
Hollowpoint
LQ Newbie
 
Registered: Mar 2005
Posts: 8

Original Poster
Rep: Reputation: 0
Ok got it unlocked and posted the stuff from easy urpmi...now how do I install -devel? With urpmin --media ,-devel? It also seems to stop responding when it gets to examining synthesis file [/var/lib/urpmi/synthesis.hdlist.update_source.cz]. Edit: I got past that part but when it trys to retrieve stuff I get retrieving failed: curl: (52) Empty reply from server. Does that mean I need to find another server?

Last edited by Hollowpoint; 03-23-2005 at 03:18 PM.
 
Old 03-23-2005, 07:10 PM   #6
{BBI}Nexus{BBI}
Senior Member
 
Registered: Jan 2005
Location: Nottingham, UK
Distribution: Mageia 5, Linux Lite
Posts: 4,312

Rep: Reputation: 208Reputation: 208Reputation: 208
Use RPMDrake (under menu as Install Packages) just type devel in the search field press enter and all devel packages will be listed, you can now choose the gcc & c++ packages you need.
 
Old 03-24-2005, 02:57 AM   #7
Hollowpoint
LQ Newbie
 
Registered: Mar 2005
Posts: 8

Original Poster
Rep: Reputation: 0
I cant use ramdrake because it asks me for a cd4 which I dont have.
I posted in the Easy URPMI stuff into the command line and it downloaded alot of stuff. Now how do I get the devel stuff using the online ftps? Im not exactly sure what the Easy URPMI is supposed to do for me and how it works. Thanks

Last edited by Hollowpoint; 03-24-2005 at 03:09 AM.
 
Old 03-24-2005, 10:25 AM   #8
Padma
Member
 
Registered: Aug 2003
Location: Omaha, NE, USA
Distribution: PCLinuxOS 2007
Posts: 808

Rep: Reputation: 30
To make it stop asking for CD4, go into rpmdrake, open the "Media manager" panel, and *UN*check the box beside the CD4 Media line. Better still, uncheck *all* the CD media, forcing it to download the latest versions of things off the net, from your repositories you set up.

And, yeah, if you get "curl failed" errors, try another server. I keep a couple servers identified, so if one gives me trouble like that, I just switch to the other one.
 
Old 03-24-2005, 11:51 AM   #9
Hollowpoint
LQ Newbie
 
Registered: Mar 2005
Posts: 8

Original Poster
Rep: Reputation: 0
Thank you I downloaded 264 files but when I tried to install the mplayer plugin I get this .....
onfigure:1390: checking for g++
configure:1419: result: no
configure:1390: checking for c++
configure:1419: result: no
configure:1390: checking for gpp
configure:1419: result: no
configure:1390: checking for aCC
configure:1419: result: no
configure:1390: checking for CC
configure:1419: result: no
configure:1390: checking for cxx
configure:1419: result: no
configure:1390: checking for cc++
configure:1419: result: no
configure:1390: checking for cl
configure:1419: result: no
configure:1390: checking for FCC
configure:1419: result: no
configure:1390: checking for KCC
configure:1419: result: no
configure:1390: checking for RCC
configure:1419: result: no
configure:1390: checking for xlC_r
configure:1419: result: no
configure:1390: checking for xlC
configure:1419: result: no
configure:1432: checking for C++ compiler version
configure:1435: g++ --version </dev/null >&5
./configure: line 1: g++: command not found
configure:1438: $? = 127
configure:1440: g++ -v </dev/null >&5
./configure: line 1: g++: command not found
configure:1443: $? = 127
configure:1445: g++ -V </dev/null >&5
./configure: line 1: g++: command not found
configure:1448: $? = 127
configure:1471: checking for C++ compiler default output file name
configure:1474: g++ conftest.cc >&5
./configure: line 1: g++: command not found
configure:1477: $? = 127
configure: failed program was:
Im still unsure of how to fix this seeing as how ive installed a ton of devel tools. Thanks
 
Old 03-24-2005, 02:16 PM   #10
Hollowpoint
LQ Newbie
 
Registered: Mar 2005
Posts: 8

Original Poster
Rep: Reputation: 0
Ok I got around all those errors now im getting ...checking for mozilla-plugin... Package mozilla-plugin was not found in the pkg-config search path.
Perhaps you should add the directory containing `mozilla-plugin.pc'
to the PKG_CONFIG_PATH environment variable
No package 'mozilla-plugin' found
configure: error: Unable to find gecko sdk
I downloaded gecko sdk and was wondering if this is being caused because I didnt install Firefox under /usr/bin. Any help would be appreciated. Thanks
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
How to get development tools blackspade Linux - Newbie 3 08-17-2005 04:50 AM
Development Tools Vectrox Debian 1 05-31-2004 08:02 AM
Where can I get the development tools? Online Tiyogi Linux - General 1 03-22-2004 02:09 PM
Minimum development tools Ren Slackware 6 01-21-2004 12:26 AM
rh 8 and Development Tools pack hsa Linux - Distributions 10 03-25-2003 10:37 AM


All times are GMT -5. The time now is 08:37 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration